Subject: [DNSOP] RFC 2845bis draft

From: "Peter J. Philipp" <[email-masked]>
Date: Wed, 27 Feb 2019 09:21:46 +0100

Hi,

I'm in contact with the original RFC 2845 authors for clarifications on 
what is meant in section 4.4 for the meaning of "Prior MAC (running)".  
In the bis draft this is in section 6.4 and seems unchanged.  I'm having 
a hard time understanding this as an implementor, this is an area that 
needs clarification I believe.

Would you like to see any results that I glean from the authors so that 
this can be put on the bis draft?

Best Regards,

-peter

---

From: "Peter J. Philipp" <[email-masked]>
Date: Thu, 28 Feb 2019 10:12:25 +0100

Hi again,

Well I ended up fixing it myself yesterday through a lot of trial and 
error and finally understanding the

RFC.  I recommend the following change to make it easier for future 
implementors in the 2845bis draft:

Section 6.4 says:

The first envelope is processed as a standard answer, and subsequent 
messages have the following digest components:

I would rewrite that as:

The first envelope is processed as a standard answer (see section 6.2), 
and subsequent messages have the following digest components:

With the referal to section 6.2, a hasty eye can catch what a "standard 
answer" is and assumptions are left out.

BTW I'm working with this draft document:

https://datatracker.ietf.org/doc/draft-ietf-dnsop-rfc2845bis/?include_text=1

Best Regards,

-peter

On 2/27/19 9:21 AM, Peter J. Philipp wrote:
> Hi,
>
> I'm in contact with the original RFC 2845 authors for clarifications 
> on what is meant in section 4.4 for the meaning of "Prior MAC 
> (running)".  In the bis draft this is in section 6.4 and seems 
> unchanged.  I'm having a hard time understanding this as an 
> implementor, this is an area that needs clarification I believe.
>
> Would you like to see any results that I glean from the authors so 
> that this can be put on the bis draft?
>
> Best Regards,
>
> -peter
>

---

From: Ólafur Guðmundsson <[email-masked]>
Date: Thu, 28 Feb 2019 10:32:03 -0800

I think this is a good clarification
Olafur

On Thu, Feb 28, 2019 at 8:53 AM Peter J. Philipp <[email-masked]> wrote:

> _______________________________________________
> DNSOP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dnsop
>

-- 
Ólafur Gudmundsson | Engineering Director
www.cloudflare.com blog.cloudflare.com